curl -X POST https://api.magpipe.ai/functions/v1/delete-voice \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"voice_id": "pNInz6obpgDQGcFmaJgB"}'
const response = await fetch(
'https://api.magpipe.ai/functions/v1/delete-voice',
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json',
},
body: JSON.stringify({
voice_id: 'pNInz6obpgDQGcFmaJgB'
}),
}
);
const result = await response.json();
console.log('Deleted:', result.success);
import requests
response = requests.post(
'https://api.magpipe.ai/functions/v1/delete-voice',
headers={
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json',
},
json={'voice_id': 'pNInz6obpgDQGcFmaJgB'}
)
result = response.json()
print(f"Deleted: {result['success']}")
{
"success": true
}
{
"error": {
"code": "builtin_voice",
"message": "Built-in voices cannot be deleted"
}
}
Voice
Delete Voice
Delete a custom cloned voice
POST
/
delete-voice
curl -X POST https://api.magpipe.ai/functions/v1/delete-voice \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"voice_id": "pNInz6obpgDQGcFmaJgB"}'
const response = await fetch(
'https://api.magpipe.ai/functions/v1/delete-voice',
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json',
},
body: JSON.stringify({
voice_id: 'pNInz6obpgDQGcFmaJgB'
}),
}
);
const result = await response.json();
console.log('Deleted:', result.success);
import requests
response = requests.post(
'https://api.magpipe.ai/functions/v1/delete-voice',
headers={
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json',
},
json={'voice_id': 'pNInz6obpgDQGcFmaJgB'}
)
result = response.json()
print(f"Deleted: {result['success']}")
{
"success": true
}
{
"error": {
"code": "builtin_voice",
"message": "Built-in voices cannot be deleted"
}
}
Delete a custom cloned voice from your account.
This action is irreversible. Agents using this voice will fall back to their default voice. Built-in voices cannot be deleted.
Request Body
string
required
The unique identifier of the voice to delete.
Response
boolean
Whether the voice was deleted successfully.
curl -X POST https://api.magpipe.ai/functions/v1/delete-voice \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"voice_id": "pNInz6obpgDQGcFmaJgB"}'
const response = await fetch(
'https://api.magpipe.ai/functions/v1/delete-voice',
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json',
},
body: JSON.stringify({
voice_id: 'pNInz6obpgDQGcFmaJgB'
}),
}
);
const result = await response.json();
console.log('Deleted:', result.success);
import requests
response = requests.post(
'https://api.magpipe.ai/functions/v1/delete-voice',
headers={
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json',
},
json={'voice_id': 'pNInz6obpgDQGcFmaJgB'}
)
result = response.json()
print(f"Deleted: {result['success']}")
{
"success": true
}
{
"error": {
"code": "builtin_voice",
"message": "Built-in voices cannot be deleted"
}
}
⌘I